/*
 * Copyright (c) 2009 The openGion Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package an;

import org.opengion.fukurou.business.BizLogic_ENTRY;
import org.opengion.fukurou.util.StringUtil;

/**
 * 次または前の質問Cを取得するためのサブルーチンです。
 *
 * @og.rev 2010/06/18 新規作成
 * 
 * @version 5.0
 * @author Hiroki Nakamura
 * @since JDK1.6,
 */

public class AN0101S extends BizLogic_ENTRY {

	/**
	 * チェックロジックを定義します。
	 * 
	 * @return 処理が正常終了したか
	 */
	@Override
	protected boolean check() {
		return must( "CDSITSU,TYPE,CDSITSU_SEQ_LIST" );
	}

	/**
	 * メイン処理を定義します。
	 * 
	 * @return 処理が正常終了したか
	 */
	@Override
	protected boolean logic() {
		String cur = var( "CDSITSU" );
		String type = var( "TYPE" );
		String[] list = StringUtil.csv2Array( var( "CDSITSU_SEQ_LIST" ) );

		int curIdx = 0;
		for( int i=0; i<list.length; i++ ) {
			if( cur.equals( list[i] ) ) { curIdx = i; break; }
		}

		int rtnIdx = 0;
		if( "BACK".equals( type ) ) {
			rtnIdx = ( curIdx == 0 ? list.length - 1 : curIdx - 1 );
		}
		else {
			rtnIdx = ( curIdx == list.length - 1 ? 0 : curIdx + 1 );			
		}

		rtn( list[rtnIdx] );

		return true;
	}
}

